GNU logs - #28434, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Oleksandr Gavenko <gavenkoa@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Sep 2017 18:02:01 +0000
Resent-Message-ID: <handler.28434.B.150523929527358 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 28434 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.150523929527358
          (code B ref -1); Tue, 12 Sep 2017 18:02:01 +0000
Received: (at submit) by debbugs.gnu.org; 12 Sep 2017 18:01:35 +0000
Received: from localhost ([127.0.0.1]:36276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drpV8-00077C-Lj
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 14:01:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gavenkoa@HIDDEN>) id 1drpV7-000770-Eo
 for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 14:01:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1drpV1-0000PU-4s
 for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 14:01:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52301)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gavenkoa@HIDDEN>) id 1drpV1-0000PK-1Z
 for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 14:01:27 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37542)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1drpUz-0004rP-Mk
 for bug-gnu-emacs@HIDDEN; Tue, 12 Sep 2017 14:01:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1drpUw-0000Nc-Lw
 for bug-gnu-emacs@HIDDEN; Tue, 12 Sep 2017 14:01:25 -0400
Received: from mail-lf0-x22a.google.com ([2a00:1450:4010:c07::22a]:37253)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gavenkoa@HIDDEN>) id 1drpUw-0000Mp-Dv
 for bug-gnu-emacs@HIDDEN; Tue, 12 Sep 2017 14:01:22 -0400
Received: by mail-lf0-x22a.google.com with SMTP id 80so28408061lfy.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 12 Sep 2017 11:01:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=8ocB0fGTSfxEhWmJxgQu9tc3UciccQEYvW4eYbKrZqs=;
 b=nfPn8X3oK1m5PAVjkpVrMXKWLbj/ldHE7a+SBGZPgCeKaGd0Y4+DPeRkQVjifOIDk3
 NDwSkw/FG+gMgfeUUnQkgs9OlGZV1YOCwoa/nmeR2aF9PWDqimvP3naG+cCQud220ArI
 JpkgpDFyK9N016V+F3PEdv7Gjr4H2ACurtEqfAHj/CUJTrvc3mt/n/o3L5LISW8TPhD8
 on8BBKlP22o+IYDssQEKkCASbW8hIXkdkG/L/pEhhd7SRUBa2+Xr0VyPXGmdYmCXE4+H
 8eLcJDfnCeqOMjc0DPJ928IsHaoxn9S5LAoOqpSwbcM/S0xbrx7tzytQD6QRPAVtGbWp
 DARg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=8ocB0fGTSfxEhWmJxgQu9tc3UciccQEYvW4eYbKrZqs=;
 b=cr/vuByz4qQvmrdzEc+E8X0SR6xHNS5ITIuKJHcbrV41zn6oVM5zqmFlUhIBo2KrkQ
 SriZlkRcpkoUNLoQMWqIidzdzkY55z9I09+BhxEN/GtYVOAOnYIneSJNK7222YxAoSaL
 bGsZo1dp20MOTyzT5/kNMhBZozJfem9kKy4L59ubzTfxc9r2kH4XB7Q+oT7hOYmUhp/r
 t86gJsBgMJiek6r6mFIEmbx1wvVDBPaEzXX5KfTL+sLr7gnXUpVvhOM2V6bw7jmYIiNd
 kwLbmzCYUpy/5hVOXdIiOttmeYhF4eOJqfzZIt7/DjLCTOyTXaSb3yzhSapsNYbcSgqP
 tvPw==
X-Gm-Message-State: AHPjjUhjrLgQWiNT0ts+ZgfDWmAadD3Kx1CysYn/nRFKSDelz3eazKtR
 3Brh9J4ROr5DtdkU
X-Google-Smtp-Source: AOwi7QCDWvraI6hOPEHUB99HD9AxcLUEQvvdXvvH7djmpFcaxR7sRBCNxbx0Oxt73+RydxPLLnhMJA==
X-Received: by 10.25.142.9 with SMTP id q9mr4751335lfd.89.1505239279367;
 Tue, 12 Sep 2017 11:01:19 -0700 (PDT)
Received: from DELLXPS ([46.118.15.174])
 by smtp.gmail.com with ESMTPSA id 67sm2201048lfq.15.2017.09.12.11.01.15
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 12 Sep 2017 11:01:16 -0700 (PDT)
From: Oleksandr Gavenko <gavenkoa@HIDDEN>
Date: Tue, 12 Sep 2017 21:01:14 +0300
Message-ID: <86lglj6bkl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

In GNU Emacs 25.2.1 (i686-w64-mingw32)
 of 2017-04-24 built on LAPHROAIG

It happens with a lot of tools (diff/hg/git). If file doesn't end on new li=
ne
diff file has:

  \ No newline at end of file

C-c C-c (diff-goto-source) on that hunk says:

  Hunk text not found

C-c C-a (diff-apply-hunk) says:

  diff-apply-hunk: Can=E2=80=99t find the text to patch

It's very annoying as I have no control over file content and sometime can't
add final new line.

Emacs commands in diff mode should tolerate ``\`` message about missing fin=
al
new line.

ediff-diff-ok-lines-regexp is:

  "^\\([0-9,]+[acd][0-9,]+?$\\|[<>] \\|---\\|.*Warning *:\\|.*No +newline\\=
|.*missing +newline\\|^?$\\)"

and match that line.

I live with that problem from Emacs 22.x or so. Surprised why no one fixed =
it yet.

--=20
http://defun.work/




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Oleksandr Gavenko <gavenkoa@HIDDEN>
Subject: bug#28434: Acknowledgement (25.2; Final "\ No newline at end of
 file" breaks Emacs patch handling.)
Message-ID: <handler.28434.B.150523929527358.ack <at> debbugs.gnu.org>
References: <86lglj6bkl.fsf@HIDDEN>
X-Gnu-PR-Message: ack 28434
X-Gnu-PR-Package: emacs
Reply-To: 28434 <at> debbugs.gnu.org
Date: Tue, 12 Sep 2017 18:02:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 28434 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
28434: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D28434
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 24 Jun 2019 16:14:01 +0000
Resent-Message-ID: <handler.28434.B28434.156139283515871 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Oleksandr Gavenko <gavenkoa@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.156139283515871
          (code B ref 28434); Mon, 24 Jun 2019 16:14:01 +0000
Received: (at 28434) by debbugs.gnu.org; 24 Jun 2019 16:13:55 +0000
Received: from localhost ([127.0.0.1]:57731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfRbO-00047v-K8
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:13:54 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hfRbM-00047n-Vy
 for 28434 <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:13:53 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hfRbJ-0005BZ-17; Mon, 24 Jun 2019 18:13:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <86lglj6bkl.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 18:13:48 +0200
In-Reply-To: <86lglj6bkl.fsf@HIDDEN> (Oleksandr Gavenko's
 message of "Tue, 12 Sep 2017 21:01:14 +0300")
Message-ID: <m3zhm7rmf7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Oleksandr Gavenko <gavenkoa@HIDDEN> writes: > It's very
 annoying as I have no control over file content and sometime can't > add
 final new line. I think that's kind of unusual -- most text file formats can
 end in newlines. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Oleksandr Gavenko <gavenkoa@HIDDEN> writes:

> It's very annoying as I have no control over file content and sometime can't
> add final new line.

I think that's kind of unusual -- most text file formats can end in
newlines.

> Emacs commands in diff mode should tolerate ``\`` message about missing final
> new line.
>
> ediff-diff-ok-lines-regexp is:
>
>   "^\\([0-9,]+[acd][0-9,]+?$\\|[<>] \\|---\\|.*Warning *:\\|.*No +newline\\|.*missing +newline\\|^?$\\)"
>
> and match that line.

I think if you need this, you should add it to that variable, but I
don't think this would be a good default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Jun 2019 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 12:14:00 2019
Received: from localhost ([127.0.0.1]:57734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfRbT-00048E-Vf
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:14:00 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hfRbR-000484-QY
 for control <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:13:58 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>) id 1hfRbP-0005Bg-Bl
 for control <at> debbugs.gnu.org; Mon, 24 Jun 2019 18:13:57 +0200
Date: Mon, 24 Jun 2019 18:13:55 +0200
Message-Id: <m3y31rrmf0.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #28434
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 28434 wontfix close 28434 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 28434 wontfix
close 28434
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Jun 2019 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 12:14:00 2019
Received: from localhost ([127.0.0.1]:57734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfRbT-00048E-Vf
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:14:00 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hfRbR-000484-QY
 for control <at> debbugs.gnu.org; Mon, 24 Jun 2019 12:13:58 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>) id 1hfRbP-0005Bg-Bl
 for control <at> debbugs.gnu.org; Mon, 24 Jun 2019 18:13:57 +0200
Date: Mon, 24 Jun 2019 18:13:55 +0200
Message-Id: <m3y31rrmf0.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #28434
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 28434 wontfix close 28434 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 28434 wontfix
close 28434
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 24 Jun 2019 22:52:02 +0000
Resent-Message-ID: <handler.28434.B28434.15614166663948 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: wontfix
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.15614166663948
          (code B ref 28434); Mon, 24 Jun 2019 22:52:02 +0000
Received: (at 28434) by debbugs.gnu.org; 24 Jun 2019 22:51:06 +0000
Received: from localhost ([127.0.0.1]:58261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfXnm-00011c-Gt
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 18:51:06 -0400
Received: from mail-io1-f47.google.com ([209.85.166.47]:42675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hfXnk-00010y-RE
 for 28434 <at> debbugs.gnu.org; Mon, 24 Jun 2019 18:51:05 -0400
Received: by mail-io1-f47.google.com with SMTP id u19so366958ior.9
 for <28434 <at> debbugs.gnu.org>; Mon, 24 Jun 2019 15:51:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=RPt0C7/9tbX7HF2PVqUYM6m0ZJpg4BB+yu9MPn6kqKM=;
 b=j5FNHPosc66tinWL25fgRtuqmDpF2rvrp/etMk5pkBGucQQGu+13J+QcQILV1rhITc
 mvHAQbRMCRfODVJLg5NseJpPsWtxOdNVFOH+OkICtkNdZ9pwbE7dHkCx3JoKZ2TlFcq9
 /dzEIWTZUWYPkMMjZEkdg8x2gSjQwlLqjM4ljG80wMQX8Ir/KjK915Gh40COzYussdnp
 gbXrawXIlzrZFTgeYpvqaZZBLSUm8nJdHTxHj1Km2XB/fpn4tXUEwRqOUAjW6wsGYGBO
 +YJDAZn/vtKqLRO/W6mjQcVQAnZv0CVBr9605iIWiD6k3etqN+6ULMjRa6vnrbmBdvc4
 XY2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=RPt0C7/9tbX7HF2PVqUYM6m0ZJpg4BB+yu9MPn6kqKM=;
 b=KsPW043vXifYpfCyPQpBU/ILQLPw1oFUsLMpzmukQ1zrpK5WjK3mhjoewkiracc8J4
 +yuhXSnbEgbIFQJLIbpZVkgcCb8xNphVOyyf5eX+ADRG7IxCJ0Dbmr6/NnLg1PENfH8R
 945JBQIqVV39+Wqg1UURVJHNEusPchD7lZzy/jaJLdA8A9drOGUEgvmknyKdHNmAfK+y
 4kuYSe+rYD21vUJagT8Gt62Z31kE33Mcz8lTSwzpw2CXf0t5X6po98Au5VpfSAF85rd+
 nHUqOyCjulnQQ9hFhUmZx0F1+ePUoDlWDJ5ODHdg+oExMM3/2Wt+DaVAdSd0GOShH8sr
 clRw==
X-Gm-Message-State: APjAAAW+H5Eg61fTLaKtVCk+3+ovZX6yat+wquWVEDY/VpGW/BWiipj5
 d38MZoe1x7Yy3MUvZoYGVyA2e3eM
X-Google-Smtp-Source: APXvYqzIOV3gd0s8KapyMvNeDYUq/2NuR5ntOcwclUMj3LvKd3/7z/X5MnwwPHv5u3Vd6GXl2ye6bQ==
X-Received: by 2002:a6b:3b89:: with SMTP id
 i131mr110667121ioa.33.1561416659043; 
 Mon, 24 Jun 2019 15:50:59 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 f4sm23166006iok.56.2019.06.24.15.50.58
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Jun 2019 15:50:58 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 18:50:58 -0400
In-Reply-To: <m3zhm7rmf7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 24 Jun 2019 18:13:48 +0200")
Message-ID: <87zhm6silp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Oleksandr Gavenko <gavenkoa@HIDDEN> writes:
>
>> It's very annoying as I have no control over file content and sometime can't
>> add final new line.
>
> I think that's kind of unusual -- most text file formats can end in
> newlines.
>
>> Emacs commands in diff mode should tolerate ``\`` message about missing final
>> new line.
>>
>> ediff-diff-ok-lines-regexp is:
>>
>>   "^\\([0-9,]+[acd][0-9,]+?$\\|[<>] \\|---\\|.*Warning *:\\|.*No +newline\\|.*missing +newline\\|^?$\\)"
>>
>> and match that line.
>
> I think if you need this, you should add it to that variable, but I
> don't think this would be a good default.

Hmm, the "\ No newline at end of file" thing is a de facto standard, so
shouldn't Emacs recognize it by default?





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 24 Jun 2019 23:11:02 +0000
Resent-Message-ID: <handler.28434.B28434.156141780714586 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: wontfix
To: Noam Postavsky <npostavs@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.156141780714586
          (code B ref 28434); Mon, 24 Jun 2019 23:11:02 +0000
Received: (at 28434) by debbugs.gnu.org; 24 Jun 2019 23:10:07 +0000
Received: from localhost ([127.0.0.1]:58330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfY6B-0003nB-96
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 19:10:07 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hfY66-0003md-H1
 for 28434 <at> debbugs.gnu.org; Mon, 24 Jun 2019 19:10:03 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hfY63-0000VY-Ae; Tue, 25 Jun 2019 01:10:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEX+Mf78Kvj8Jvj6IfV1
 CTz7HvX8Rvn+NP7+LfrgGsQAIYEEAAACaUlEQVQ4jV2UQU8bMRCFhzbS7t6Aoja5ul1pc6MRB3Lr
 Ckvg64qtekSVMD1u1Ta+JgsC55YQI+p/2ze2SYERCt755j1PvOOQQDRClPhrRfjftm3ZWNL6Tdvw
 U9k2JWCMAPZ59V5rfbWn9Z+QF01P3j/wUt9qfWH17fey/Yoa/YOmflLCSs+gALhM4ILS5rdstdD6
 sm2/3RlzYQJAM02D/XnVirZpmsomABEId1tyu0JUTyCwMqjQtRD2GRDCI8KH94cvgJNSTpTkSKD6
 D0TIy10Sdgzl/Qsrx1YLpzwqI+lFtfSb6cb7XXJKetZO+l5YxFKpuLmLnlJZW1l7vRgOJ3Z/NyOS
 T3HWAyxjsysyJBWcuMUza3Nb8MYReJ/MJoQYSMmPp52hezw6lhwzKLwfQfFoDMU69trwsgsJA2Ao
 o9/RbLqJ+S4LADEIxieFQrLrQooB0Q6snFy9rdmEuN5oLCF3KijkKkt5LjcgoeOTm43ijbdWpjMH
 0r9TIzlSj6keVsZkWedqi4a+oO2UDsCYX+7UZB2pg3UCJoHC1ZCRc/nflL8CyEw38qrDQR+tivpJ
 EBXDY8VnU8zz9d1z0O15R/GgstTVTPP3+fnZF2scGSL7sAWsuJbrmthsoO5edGWW6znX77ga3zYB
 Qp+UTzmfO7k2aZtZejPj8PqcOkyvKbwoojkdHc8pX8g6VIUDDhZE5xirOY6dtoSsjfOHjxtl0UM+
 DwTTjjmzHyeYW6fCkG4BLkG8BpjsyooAyDy7OGOJ29tbTOor8IlBBbG1ySrFuYpXxL4GjkHVV70N
 UyTibxHiSPIt7lEPwewfz0hKAVutoIUAAAAASUVORK5CYII=
Date: Tue, 25 Jun 2019 01:09:59 +0200
In-Reply-To: <87zhm6silp.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 24
 Jun 2019 18:50:58 -0400")
Message-ID: <m3d0j2inqw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Noam Postavsky <npostavs@HIDDEN> writes: >> I think if
 you need this, you should add it to that variable, but I >> don't think this
 would be a good default. > > Hmm, the "\ No newline at end of file" thing
 is a de facto standard, so > should [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

>> I think if you need this, you should add it to that variable, but I
>> don't think this would be a good default.
>
> Hmm, the "\ No newline at end of file" thing is a de facto standard, so
> shouldn't Emacs recognize it by default?

Hm...  is it?  I've always thought that was Emacs telling me I was doing
something wrong.  :-)

But if that's the case, then perhaps we should add it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 24 Jun 2019 23:59:02 +0000
Resent-Message-ID: <handler.28434.B28434.156142072427851 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: wontfix
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.156142072427851
          (code B ref 28434); Mon, 24 Jun 2019 23:59:02 +0000
Received: (at 28434) by debbugs.gnu.org; 24 Jun 2019 23:58:44 +0000
Received: from localhost ([127.0.0.1]:58387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfYrE-0007F9-KV
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 19:58:44 -0400
Received: from mail-io1-f68.google.com ([209.85.166.68]:38752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hfYrA-0007Ei-0l; Mon, 24 Jun 2019 19:58:41 -0400
Received: by mail-io1-f68.google.com with SMTP id j6so30845ioa.5;
 Mon, 24 Jun 2019 16:58:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=t6ExdE/yAsQoKBdqV4uEXD4gH+6mHTDKKc/Ze9OoIO3/HwmXBND96EaAp0wXo/FhYy
 +GAooKvOYc5Nck2s/UOK8YaY2JXLF7BDMrtPFr4txCW8/09ttJmeO3+epz1LUmgRssZx
 eqs33Pl9/hz1pyQx23QsNWDWOVt+DNGS8dw/zrLknMlTsBJHQB6UIpCUSkdV/cY8it6L
 xXj7sU/FW3L98n2s1mUGQtYvC/a1B7a2/NGUdQpAKdPjPkuTO0PUDbvqowZthPNJtRd8
 m7kxQhSTta5UNicsY0BsD5D+thza5/DrVwJhlt2rWBXUoEsd4UJ4LYr33vNfc6VK1wQ6
 37mA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=oQbnv3SZp7eM2XDSs+kmTEzpHBlS9dlTrUoMtjEI2Ub7vGcsvPT2dtIyGKHHeZfoio
 ww1RoAxZeWy4BdSWf5mQ+lMHsuBpMiROGyYPeodUZcm8p7kMO/Uq5M3S0rH+BY82EutO
 r5OgsXM8IfJKly0Gf5l6FPL73Cs/6VA2LcCpYH2c7HGHoOoDMYEVTQwEXOfDREaun0R8
 h+mFYwlqOsAJwvA5FZQcbdxVGIZsGVV7uAt941Rw3hOni0whJY6maxXTCGPDV/nMAV3n
 +Fne1Z6onnFvK6OcC26PcGunYeeKZH8DimE2NetmSbNWuLqulaJlraVHCxJWsrjd79f5
 knsg==
X-Gm-Message-State: APjAAAUQ4r4YsK2O1+2p2VhQKqDC/p9W4njldH+ZwYUZVWzt3YBFuNBN
 ku5oCCuMY4djDoy4TTvPyQ4bEAEn
X-Google-Smtp-Source: APXvYqy51fwd6e4x/yZGOxgrrw1rbDMsAV7dkq2RNSljF7eSCUIdHLVg1wkF2sIOMvt3fmEBKGSFlw==
X-Received: by 2002:a5e:c705:: with SMTP id f5mr16206404iop.113.1561420714107; 
 Mon, 24 Jun 2019 16:58:34 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 v13sm15738654ioq.13.2019.06.24.16.58.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Jun 2019 16:58:33 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN> <m3d0j2inqw.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 19:58:32 -0400
In-Reply-To: <m3d0j2inqw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 25 Jun 2019 01:09:59 +0200")
Message-ID: <87o92msfh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 28434
tags 28434 - wontfix
severity 28434 minor
quit

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Noam Postavsky <npostavs@HIDDEN> writes:
>
>>> I think if you need this, you should add it to that variable, but I
>>> don't think this would be a good default.
>>
>> Hmm, the "\ No newline at end of file" thing is a de facto standard, so
>> shouldn't Emacs recognize it by default?
>
> Hm...  is it?  I've always thought that was Emacs telling me I was doing
> something wrong.  :-)

$ diff --version | head -2
diff (GNU diffutils) 3.5
Copyright (C) 2016 Free Software Foundation, Inc.
$ diff -u <(echo -n foo) <(echo foo)
--- /dev/fd/63	2019-06-24 19:55:40.217569759 -0400
+++ /dev/fd/62	2019-06-24 19:55:40.217569759 -0400
@@ -1 +1 @@
-foo
\ No newline at end of file
+foo

> But if that's the case, then perhaps we should add it?

Yeah I think so.





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Mon, 24 Jun 2019 23:59:03 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Jun 2019 23:58:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 19:58:42 2019
Received: from localhost ([127.0.0.1]:58385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfYrC-0007F0-Bb
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 19:58:42 -0400
Received: from mail-io1-f68.google.com ([209.85.166.68]:38752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hfYrA-0007Ei-0l; Mon, 24 Jun 2019 19:58:41 -0400
Received: by mail-io1-f68.google.com with SMTP id j6so30845ioa.5;
 Mon, 24 Jun 2019 16:58:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=t6ExdE/yAsQoKBdqV4uEXD4gH+6mHTDKKc/Ze9OoIO3/HwmXBND96EaAp0wXo/FhYy
 +GAooKvOYc5Nck2s/UOK8YaY2JXLF7BDMrtPFr4txCW8/09ttJmeO3+epz1LUmgRssZx
 eqs33Pl9/hz1pyQx23QsNWDWOVt+DNGS8dw/zrLknMlTsBJHQB6UIpCUSkdV/cY8it6L
 xXj7sU/FW3L98n2s1mUGQtYvC/a1B7a2/NGUdQpAKdPjPkuTO0PUDbvqowZthPNJtRd8
 m7kxQhSTta5UNicsY0BsD5D+thza5/DrVwJhlt2rWBXUoEsd4UJ4LYr33vNfc6VK1wQ6
 37mA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=oQbnv3SZp7eM2XDSs+kmTEzpHBlS9dlTrUoMtjEI2Ub7vGcsvPT2dtIyGKHHeZfoio
 ww1RoAxZeWy4BdSWf5mQ+lMHsuBpMiROGyYPeodUZcm8p7kMO/Uq5M3S0rH+BY82EutO
 r5OgsXM8IfJKly0Gf5l6FPL73Cs/6VA2LcCpYH2c7HGHoOoDMYEVTQwEXOfDREaun0R8
 h+mFYwlqOsAJwvA5FZQcbdxVGIZsGVV7uAt941Rw3hOni0whJY6maxXTCGPDV/nMAV3n
 +Fne1Z6onnFvK6OcC26PcGunYeeKZH8DimE2NetmSbNWuLqulaJlraVHCxJWsrjd79f5
 knsg==
X-Gm-Message-State: APjAAAUQ4r4YsK2O1+2p2VhQKqDC/p9W4njldH+ZwYUZVWzt3YBFuNBN
 ku5oCCuMY4djDoy4TTvPyQ4bEAEn
X-Google-Smtp-Source: APXvYqy51fwd6e4x/yZGOxgrrw1rbDMsAV7dkq2RNSljF7eSCUIdHLVg1wkF2sIOMvt3fmEBKGSFlw==
X-Received: by 2002:a5e:c705:: with SMTP id f5mr16206404iop.113.1561420714107; 
 Mon, 24 Jun 2019 16:58:34 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 v13sm15738654ioq.13.2019.06.24.16.58.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Jun 2019 16:58:33 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28434: 25.2;
 Final "\ No newline at end of file" breaks Emacs patch handling.
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN> <m3d0j2inqw.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 19:58:32 -0400
In-Reply-To: <m3d0j2inqw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 25 Jun 2019 01:09:59 +0200")
Message-ID: <87o92msfh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 28434
tags 28434 - wontfix
severity 28434 minor
quit

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Noam Postavsky <npostavs@HIDDEN> writes:
>
>>> I think if you need this, you should add it to that variable, but I
>>> don't think this would be a good default.
>>
>> Hmm, the "\ No newline at end of file" thing is a de facto standard, so
>> shouldn't Emacs recognize it by default?
>
> Hm...  is it?  I've always thought that was Emacs telling me I was doing
> something wrong.  :-)

$ diff --version | head -2
diff (GNU diffutils) 3.5
Copyright (C) 2016 Free Software Foundation, Inc.
$ diff -u <(echo -n foo) <(echo foo)
--- /dev/fd/63	2019-06-24 19:55:40.217569759 -0400
+++ /dev/fd/62	2019-06-24 19:55:40.217569759 -0400
@@ -1 +1 @@
-foo
\ No newline at end of file
+foo

> But if that's the case, then perhaps we should add it?

Yeah I think so.





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Jun 2019 23:58:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 19:58:42 2019
Received: from localhost ([127.0.0.1]:58385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfYrC-0007F0-Bb
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 19:58:42 -0400
Received: from mail-io1-f68.google.com ([209.85.166.68]:38752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hfYrA-0007Ei-0l; Mon, 24 Jun 2019 19:58:41 -0400
Received: by mail-io1-f68.google.com with SMTP id j6so30845ioa.5;
 Mon, 24 Jun 2019 16:58:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=t6ExdE/yAsQoKBdqV4uEXD4gH+6mHTDKKc/Ze9OoIO3/HwmXBND96EaAp0wXo/FhYy
 +GAooKvOYc5Nck2s/UOK8YaY2JXLF7BDMrtPFr4txCW8/09ttJmeO3+epz1LUmgRssZx
 eqs33Pl9/hz1pyQx23QsNWDWOVt+DNGS8dw/zrLknMlTsBJHQB6UIpCUSkdV/cY8it6L
 xXj7sU/FW3L98n2s1mUGQtYvC/a1B7a2/NGUdQpAKdPjPkuTO0PUDbvqowZthPNJtRd8
 m7kxQhSTta5UNicsY0BsD5D+thza5/DrVwJhlt2rWBXUoEsd4UJ4LYr33vNfc6VK1wQ6
 37mA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9se0D5ZZY51BscKY+HJpnYkmlQ9KFNbpbU8AFZqw0AU=;
 b=oQbnv3SZp7eM2XDSs+kmTEzpHBlS9dlTrUoMtjEI2Ub7vGcsvPT2dtIyGKHHeZfoio
 ww1RoAxZeWy4BdSWf5mQ+lMHsuBpMiROGyYPeodUZcm8p7kMO/Uq5M3S0rH+BY82EutO
 r5OgsXM8IfJKly0Gf5l6FPL73Cs/6VA2LcCpYH2c7HGHoOoDMYEVTQwEXOfDREaun0R8
 h+mFYwlqOsAJwvA5FZQcbdxVGIZsGVV7uAt941Rw3hOni0whJY6maxXTCGPDV/nMAV3n
 +Fne1Z6onnFvK6OcC26PcGunYeeKZH8DimE2NetmSbNWuLqulaJlraVHCxJWsrjd79f5
 knsg==
X-Gm-Message-State: APjAAAUQ4r4YsK2O1+2p2VhQKqDC/p9W4njldH+ZwYUZVWzt3YBFuNBN
 ku5oCCuMY4djDoy4TTvPyQ4bEAEn
X-Google-Smtp-Source: APXvYqy51fwd6e4x/yZGOxgrrw1rbDMsAV7dkq2RNSljF7eSCUIdHLVg1wkF2sIOMvt3fmEBKGSFlw==
X-Received: by 2002:a5e:c705:: with SMTP id f5mr16206404iop.113.1561420714107; 
 Mon, 24 Jun 2019 16:58:34 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 v13sm15738654ioq.13.2019.06.24.16.58.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Jun 2019 16:58:33 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28434: 25.2;
 Final "\ No newline at end of file" breaks Emacs patch handling.
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN> <m3d0j2inqw.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 19:58:32 -0400
In-Reply-To: <m3d0j2inqw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 25 Jun 2019 01:09:59 +0200")
Message-ID: <87o92msfh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 28434
tags 28434 - wontfix
severity 28434 minor
quit

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Noam Postavsky <npostavs@HIDDEN> writes:
>
>>> I think if you need this, you should add it to that variable, but I
>>> don't think this would be a good default.
>>
>> Hmm, the "\ No newline at end of file" thing is a de facto standard, so
>> shouldn't Emacs recognize it by default?
>
> Hm...  is it?  I've always thought that was Emacs telling me I was doing
> something wrong.  :-)

$ diff --version | head -2
diff (GNU diffutils) 3.5
Copyright (C) 2016 Free Software Foundation, Inc.
$ diff -u <(echo -n foo) <(echo foo)
--- /dev/fd/63	2019-06-24 19:55:40.217569759 -0400
+++ /dev/fd/62	2019-06-24 19:55:40.217569759 -0400
@@ -1 +1 @@
-foo
\ No newline at end of file
+foo

> But if that's the case, then perhaps we should add it?

Yeah I think so.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 25 Jun 2019 02:42:01 +0000
Resent-Message-ID: <handler.28434.B28434.156143051727178 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org, npostavs@HIDDEN, gavenkoa@HIDDEN
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.156143051727178
          (code B ref 28434); Tue, 25 Jun 2019 02:42:01 +0000
Received: (at 28434) by debbugs.gnu.org; 25 Jun 2019 02:41:57 +0000
Received: from localhost ([127.0.0.1]:58460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfbPB-00074I-3n
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 22:41:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hfbP8-000745-8e
 for 28434 <at> debbugs.gnu.org; Mon, 24 Jun 2019 22:41:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48826)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hfbP2-0007hz-VB; Mon, 24 Jun 2019 22:41:49 -0400
Received: from [176.228.60.248] (port=4465 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hfbP2-0003F9-Aw; Mon, 24 Jun 2019 22:41:48 -0400
Date: Tue, 25 Jun 2019 05:41:46 +0300
Message-Id: <831rzimln9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <m3d0j2inqw.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 25 Jun 2019 01:09:59 +0200)
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN> <m3d0j2inqw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 25 Jun 2019 01:09:59 +0200
> Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
> 
> Noam Postavsky <npostavs@HIDDEN> writes:
> 
> >> I think if you need this, you should add it to that variable, but I
> >> don't think this would be a good default.
> >
> > Hmm, the "\ No newline at end of file" thing is a de facto standard, so
> > shouldn't Emacs recognize it by default?
> 
> Hm...  is it?  I've always thought that was Emacs telling me I was doing
> something wrong.  :-)

It comes from Diff.

> But if that's the case, then perhaps we should add it?

Yes, I think so.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 25 Jun 2019 11:17:02 +0000
Resent-Message-ID: <handler.28434.B28434.15614613859318 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28434
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: 28434 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
Received: via spool by 28434-submit <at> debbugs.gnu.org id=B28434.15614613859318
          (code B ref 28434); Tue, 25 Jun 2019 11:17:02 +0000
Received: (at 28434) by debbugs.gnu.org; 25 Jun 2019 11:16:25 +0000
Received: from localhost ([127.0.0.1]:58752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfjR3-0002Pv-F8
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 07:16:25 -0400
Received: from quimby.gnus.org ([80.91.231.51]:47080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hfjQx-0002KG-KG
 for 28434 <at> debbugs.gnu.org; Tue, 25 Jun 2019 07:16:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hfjQt-0007IP-Ot; Tue, 25 Jun 2019 13:16:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <86lglj6bkl.fsf@HIDDEN> <m3zhm7rmf7.fsf@HIDDEN>
 <87zhm6silp.fsf@HIDDEN> <m3d0j2inqw.fsf@HIDDEN>
 <87o92msfh3.fsf@HIDDEN>
Date: Tue, 25 Jun 2019 13:16:15 +0200
In-Reply-To: <87o92msfh3.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 24
 Jun 2019 19:58:32 -0400")
Message-ID: <m31rzhgbk0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Noam Postavsky <npostavs@HIDDEN> writes: >> But if that's
 the case, then perhaps we should add it? > > Yeah I think so. I misread what
 this bug report was about, too -- ediff-diff-ok-lines-regexp already matches
 the output, but the problem is that 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

>> But if that's the case, then perhaps we should add it?
>
> Yeah I think so.

I misread what this bug report was about, too --
ediff-diff-ok-lines-regexp already matches the output, but the problem
is that

> C-c C-c (diff-goto-source) on that hunk says:

>   Hunk text not found

> C-c C-a (diff-apply-hunk) says:

>   diff-apply-hunk: Can=E2=80=99t find the text to patch

the presence of the line still makes various commands bug out...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.